# Hurricane Documentation

# Hurricane VLSI Database

List of all members | Public Types | Public Member Functions
Hurricane::Instance::PlacementStatus Class Reference

Instance Placement Status (API) More...

## Public Types

enum | Code { UNPLACED =0, PLACED =1, FIXED =2 }

## Public Member Functions

| PlacementStatus (const Code &code=UNPLACED)
| PlacementStatus (const PlacementStatus &placementstatus)
| operator const Code & () const
const Code & | getCode () const

## Detailed Description

Instance Placement Status (API)

# Instance Placement Status

An Instance can have three kind of placement status:

- Instance::PlacementStatus::UNPLACED : the instance doesn't have a meaningful position. It shouldn't be materialized either. It's position therfore shouldn't be used.
- Instance::PlacementStatus::PLACED : the instance has be placed manually or by an automated tool. It is movable.
- Instance::PlacementStatus::FIXED : the instance is placed and mustn't be moved by automated tools. It can still be moved manually.

## Member Enumeration Documentation

## ◆ Code

enum Hurricane::Instance::PlacementStatus::Code

Describe the various placement status an Instance can be in.

Enumerator

UNPLACED

See also
  Instance::PlacementStatus.

PLACED

See also
  Instance::PlacementStatus.

FIXED

See also
  Instance::PlacementStatus.

## Constructor & Destructor Documentation

## ◆ PlacementStatus() [1/2]

Hurricane::Instance::PlacementStatus::PlacementStatus | ( | const Code & | code = `UNPLACED` | ) |

Constructor. By default the status is unplaced.

## ◆ PlacementStatus() [2/2]

Hurricane::Instance::PlacementStatus::PlacementStatus | ( | const PlacementStatus & | placementstatus | ) |

Copy Constructor.

## Member Function Documentation

## ◆ operator const Code &()

Hurricane::Instance::PlacementStatus::operator const Code & | ( |  | ) | const

inline

Type converter toward Instance::PlacementStatus::Code enum.

## ◆ getCode()

Instance::PlacementStatus::Code & Hurricane::Instance::PlacementStatus::getCode | ( |  | ) | const

inline

Returns
  The status (Code) value.

The documentation for this class was generated from the following files:

- Instance.h
- Instance.dox